> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Idcard Check 2E

> This interface is used to verify the authenticity and consistency of names, ID numbers, and ID card validity periods.



## OpenAPI

````yaml /openapi/identity.json post /identity/idcard/check-2e
openapi: 3.0.0
info:
  title: Identity Authentication
  version: 1.0.0
  description: API reference for Identity Authentication on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /identity/idcard/check-2e:
    post:
      summary: Idcard Check 2E
      description: >-
        This interface is used to verify the authenticity and consistency of
        names, ID numbers, and ID card validity periods.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Identity Idcard Check 2E Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - id_card
                - validity_begin
                - validity_end
              properties:
                name:
                  type: string
                  description: Identity Idcard Check 2E Name
                id_card:
                  type: string
                  description: Identity Idcard Check 2E Id Card
                encryption:
                  type: array
                  items:
                    type: object
                    properties:
                      iv:
                        type: string
                        description: Identity Idcard Check 2E Encryption Iv
                      tag_list:
                        type: array
                        items:
                          type: string
                        description: Identity Idcard Check 2E Encryption Tag List
                      algorithm:
                        type: string
                        description: Identity Idcard Check 2E Encryption Algorithm
                      encrypt_list:
                        type: array
                        items:
                          type: string
                        description: Identity Idcard Check 2E Encryption Encrypt List
                      ciphertext_blob:
                        type: number
                        description: Identity Idcard Check 2E Encryption Ciphertext Blob
                    description: Identity Idcard Check 2E Encryption
                  description: Identity Idcard Check 2E Encryption 2
                validity_end:
                  type: string
                  description: Identity Idcard Check 2E Validity End
                validity_begin:
                  type: string
                  description: Identity Idcard Check 2E Validity Begin
            example:
              name: John Doe
              id_card: '110101199001011234'
              validity_end: '2030-01-01'
              validity_begin: '2020-01-01'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: Identity Idcard Check 2E Response 200 Result
                  description:
                    type: string
                    description: Identity Idcard Check 2E Response 200 Description
          description: Identity Idcard Check 2E Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Identity Idcard Check 2E Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: >-
                              Identity Idcard Check 2E Response 400 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 2E Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Identity Idcard Check 2E Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: >-
                              Identity Idcard Check 2E Response 400 Error
                              Message 2
                      trace_id:
                        type: string
                        description: Identity Idcard Check 2E Response 400 Trace Id 2
          description: Identity Idcard Check 2E Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Identity Idcard Check 2E Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: >-
                              Identity Idcard Check 2E Response 401 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 2E Response 401 Trace Id
          description: Identity Idcard Check 2E Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Identity Idcard Check 2E Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: >-
                              Identity Idcard Check 2E Response 429 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 2E Response 429 Trace Id
          description: Identity Idcard Check 2E Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Identity Idcard Check 2E Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: >-
                              Identity Idcard Check 2E Response 500 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 2E Response 500 Trace Id
          description: Identity Idcard Check 2E Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````